Open topic with navigation

TIBCO iProcess® Engine 11.10.0

# Configuring Debug Settings for iProcess® Objects Server (SPO)

Note: When configuring debug settings from the iProcess Administration Console, do not restart the iProcess Objects Server (also referred to as SPO). The settings are automatically applied while the iProcess Objects Server is running.

This is not true if you are modifying these settings from the configuration file.

Note: This panel is active only if at least one instance of SPO exists on any of the machines in a cluster. Otherwise, the panel is disabled.

To write a debug log file for iProcess Objects Server, perform the following steps:

| 1. | On the iProcess Objects Server panel, click the Add icon . An Add New Debug Settings dialog box is displayed.

| 2. | On the Add New SPO Debug Settings dialog box, enter the values for the following fields.

iProcess Objects Server Debug Settings

Field | Description
Machine ID | The unique identifier of the server.
Process Instance | The instance of the process for which you want to create a debug log file.
SPO Debug Parameter | You can choose the parameters for which you want the debug information logged. For a list of debug parameters and their description, see SPO Debug Parameters.
Debug Setting Value | This value indicates the level of detail that is included in the debug log.

SPO Debug Parameters

Parameter | Description
LOG_FILE_MAX_SIZE | Maximum size in MB of the log file before it is truncated (rolls over). Note that the log file rolls over when the maximum size is reached regardless of the LOG_LEVEL setting. You can specify a file size in MB from 1 to 9999. The default is 15.
LOG_FILE_MAX_ARCHIVES (Disk Log Parameter) | This specifies the number of archive log files that is saved when the log rolls over as a result of reaching the maximum size limit (LOG_FILE_MAX_SIZE). You can specify a file size in MB. The default is 0, which means archives are not logged.
LOG_LEVEL (Disk Log Parameter) | Level of detail to write to a log file. The log levels are hierarchical, from the least amount of information to the most, with each higher level including the information from the levels following it. The default log level is Warning. You can specify a value from one of the four values listed here:
| • | Value: 1 LOG_LEVEL: Error
| • | Value: 2 LOG_LEVEL: Warning
| • | Value: 3 LOG_LEVEL: Informational
| • | Value: 4 LOG_LEVEL: Debug
The default value is 2. Warning: Unless directed by TIBCO Support, the log level should be specified as “Error” or “Warning.” Setting the level to “Debug” causes an extremely large number of messages to be written to the log file. This causes the performance and response time of the iProcess Objects Server to be seriously degraded. It also causes the possibility of critical error messages being lost if the log file fills up and rolls over.
LOG_CATEGORIES (Disk Log Parameter) | Specifies which categories of information to write to the log. Specify an individual category, or combine the category values, then set this attribute to the calculated value. You can select from one of the following values. The default is 0xFFFFFFF which means information from all categories is logged.
| • | 0xFFFFFFFF - LOGCAT_ALL
| • | 0x00000001 - LOGCAT_MAIN_THREAD
| • | 0x00000002 - LOGCAT_STATUS_UPDATE_THREAD
| • | 0x00000004 - LOGCAT_PERIODIC_STATS_THREAD
| • | 0x00000008 - LOGCAT_STATS_SEND_THREAD
| • | 0x00000010 - LOGCAT_STATS_RECV_THREAD
| • | 0x00000020 - LOGCAT_RECV_UDP_THREAD
| • | 0x00000040 - LOGCAT_MESSAGE_SEND_THREAD
| • | 0x00000080 - LOGCAT_MESSAGE_RECV_THREAD
| • | 0x00000100 - LOGCAT_GET_ONE_NODE
| • | 0x00000200 - LOGCAT_GET_ALL_NODES
| • | 0x00000400 - LOGCAT_LOAD_BALANCE_THREAD
| • | 0x01000000 - LOGCAT_LOG
| • | 0x02000000 - LOGCAT_SAL_TIMING
Note that request/response messages are written to the log if the LOG_LEVEL attribute is set to 4 (Debug), regardless of the setting of this attribute. Warning: Do not change this parameter unless you are advised to do so by TIBCO Support.
TRACE_MSG (Disk Log Parameter) | A flag specifying if request and response messages should be traced and written to the log. You can select one of the following values. The default value is 0.
| • | 0 - No
| • | 1 - Yes
Warning: Unless directed by TIBCO Support, it is highly recommended that TRACE_MSG be set to “0” (No) since setting this parameter to “1” could cause the log file to quickly fill, causing the possibility of critical error messages being overlooked or lost when the log reaches its maximum size and is truncated. Turning this parameter on degrades the performance and response time of the iProcess Objects Server.
MEMLOG_LEVEL (Memory Log Parameter) | This parameter is used to set the level of in-memory logging. You can also use this parameter to enable or disable in-memory logging. The log levels are hierarchical, from the least amount of information to the most, with each higher level including the information from the levels following it. The default log level is Warning. You can specify a value from one of the four values listed here:
| • | Value: 1 LOG_LEVEL: Error
| • | Value: 2 LOG_LEVEL: Warning
| • | Value: 3 LOG_LEVEL: Informational
| • | Value: 4 LOG_LEVEL: Debug
The default value is 2. Warning: Unless directed by TIBCO Support, the log level should be specified as “Error” or “Warning.” Setting the level to “Debug” causes an extremely large number of messages to be written to the log file. This causes the performance and response time of iProcess Objects Server to be seriously degraded. It also causes the possibility of critical error messages being lost if the log file fills up and rolls over.
MEMLOG_TRACE_MSG (Memory Log Parameter) | A flag specifying if request and response messages should be traced and written to the in-memory iProcess Objects Server log. You can select one of the following values. The default value is 0.
| • | 0 - No
| • | 1 - Yes
Warning: Unless directed by TIBCO Support, it is highly recommended that TRACE_MSG be set to “0” (No) since setting this parameter to “1” could cause the log file to quickly fill, causing the possibility of critical error messages being overlooked or lost when the log reaches its maximum size and is truncated. Turning this parameter on degrades the performance and response time of the iProcess Objects Server.
MEMLOG_CATEGORIES (Memory Log Parameter) | The categories of messages to include in the in-memory iProcess Objects Server log. You can select from one of the following values. The default is 0xFFFFFFF which means information from all categories is logged.
| • | 0xFFFFFFFF - LOGCAT_ALL
| • | 0x00000001 - LOGCAT_MAIN_THREAD
| • | 0x00000002 - LOGCAT_STATUS_UPDATE_THREAD
| • | 0x00000004 - LOGCAT_PERIODIC_STATS_THREAD
| • | 0x00000008 - LOGCAT_STATS_SEND_THREAD
| • | 0x00000010 - LOGCAT_STATS_RECV_THREAD
| • | 0x00000020 - LOGCAT_RECV_UDP_THREAD
| • | 0x00000040 - LOGCAT_MESSAGE_SEND_THREAD
| • | 0x00000080 - LOGCAT_MESSAGE_RECV_THREAD
| • | 0x00000100 - LOGCAT_GET_ONE_NODE
| • | 0x00000200 - LOGCAT_GET_ALL_NODES
| • | 0x00000400 - LOGCAT_LOAD_BALANCE_THREAD
| • | 0x01000000 - LOGCAT_LOG
| • | 0x02000000 - LOGCAT_SAL_TIMING
Note that request/response messages are written to the log if the LOG_LEVEL attribute is set to 4 (Debug), regardless of the setting of this attribute. Warning: Do not change this parameter unless you are advised to do so by TIBCO Support.

For more information about iProcess Objects Server debug parameters, see TIBCO iProcess Objects Server Administrator’s Guide.

| 3. | Click ADD to add the new debug settings.

Did you find this helpful?

Yes No
Great!
Thanks for taking the time to give us some feedback.
Sorry about that

Why wasn't this helpful? (check all that apply)

Could not find what I was looking for
Instructions confusing or unclear
Instructions did not work

Want to tell us more?

Please select at least one option or provide details about the issue!!

Error occurred while submitting feedback.

Error2 occurred while submitting feedback.

TIBCO iProcess® Engine

Copyright © 1994-2025. Cloud Software Group, Inc. All Rights Reserved.